#!/bin/sh
# Add mailing list tool (ADDML)
#	Copyright 1993,1994,1995,1996 (C) SAITOH-Ely-Yasuhiro.
#	All rights reserved.
#
VERSION=@VER@

SENDMAILTYPE=@SENDMAILTYPE@

DRIVER=@DRIVER@
MSPOOL=@MSPOOL@

ML=$1

if [ $# -ne 1 ]
then
	echo "Usage: addml ML-name" 1>&2
	exit 1
fi

if [ ! -d $DRIVER/exe ]
then
	mkdir $DRIVER/exe
fi

echo "*** Make mailing list entry tool (addml version $VERSION) ***"
echo "|\"$DRIVER/cmld $1\"" > $DRIVER/exe/$1
echo "|\"$DRIVER/cmas $1\"" > $DRIVER/exe/$1-control

MDIR=$DRIVER/$ML
NDIR=
while [ ! -d $MDIR ]
do
	UDIR=`expr \
		${MDIR}/ : '\(/\)[^/]*//*$' \
		\| ${MDIR}/ : '\(.*[^/]\)//*[^/][^/]*//*$' \
		\| .`

	CDIR=`basename $MDIR`
	MDIR=$UDIR

	NDIR="$CDIR $NDIR"

	if [ -d $UDIR ]
	then
		break
	fi

	MDIR=$UDIR
done
for i in $NDIR
do
	MDIR=$MDIR/$i
	mkdir $MDIR
done

MDIR=$MSPOOL/$ML/spool
NDIR=
while [ ! -d $MDIR ]
do
	UDIR=`expr \
		${MDIR}/ : '\(/\)[^/]*//*$' \
		\| ${MDIR}/ : '\(.*[^/]\)//*[^/][^/]*//*$' \
		\| .`
	CDIR=`basename $MDIR`
	MDIR=$UDIR

	NDIR="$CDIR $NDIR"

	if [ -d $UDIR ]
	then
		break
	fi

	MDIR=$UDIR
done
for i in $NDIR
do
	MDIR=$MDIR/$i
	mkdir $MDIR
done
if [ ! -d $MSPOOL/$ML/profile ]
then
	mkdir $MSPOOL/$ML/profile
fi

echo $SENDMAILTYPE | grep -i qmail >/dev/null 2>&1
if [ $? -eq 0 ]
then
	echo "*** End of make mailing list entry ***"
	echo ""
	echo "Run alias setting programs below."
	echo "====================================="
	echo "Execute 'perl alias-root.pl' as root."
	echo "Execute 'perl alias-user.pl' as user."
	echo "====================================="
	echo "If the Perl is NOT installed on your machine,"
	echo "set aliases manually. (see 'manual.install')"
else
	echo "*** End of make mailing list entry ***"
	echo ""
	echo "Add this entry to /etc/aliases, and exec 'newaliases' command."
	echo "=============================================================="
	echo "$1-request: 'E-mail address of $1 ML admin.'"
	echo "$1: :include:$DRIVER/exe/$1"
	echo "$1-control: :include:$DRIVER/exe/$1-control"
	echo "$1-dist: :include:$DRIVER/$1/$1-list"
	echo "$1-digest-dist: :include:$DRIVER/$1/$1-digest"
fi
